| LibDriver W25QXX 1.0.0 W25QXX full function driver

Functions
w25qxx interface driver function
w25qxx driver function

w25qxx interface driver modules More...

## Functions
uint8_t | w25qxx_interface_spi_qspi_init (void)
| interface spi qspi bus init More...
uint8_t | w25qxx_interface_spi_qspi_deinit (void)
| interface spi qspi bus deinit More...
uint8_t | w25qxx_interface_spi_qspi_write_read (uint8_t instruction, uint8_t instruction_line, uint32_t address, uint8_t address_line, uint8_t address_len, uint32_t alternate, uint8_t alternate_line, uint8_t alternate_len, uint8_t dummy, uint8_t *in_buf, uint32_t in_len, uint8_t *out_buf, uint32_t out_len, uint8_t data_line)
| interface spi qspi bus write read More...
void | w25qxx_interface_delay_ms (uint32_t ms)
| interface delay ms More...
void | w25qxx_interface_delay_us (uint32_t us)
| interface delay us More...
void | w25qxx_interface_debug_print (const char *const fmt,...)
| interface print format data More...

## Detailed Description

w25qxx interface driver modules

## Function Documentation

## ◆ w25qxx_interface_debug_print()

void w25qxx_interface_debug_print | ( | const char *const | fmt,
|  |  | ...
| ) |  |

interface print format data

Parameters

  [in] | fmt | is the format data

Note
  none

Definition at line 118 of file driver_w25qxx_interface_template.c.

## ◆ w25qxx_interface_delay_ms()

void w25qxx_interface_delay_ms | ( | uint32_t | ms | ) |

interface delay ms

Parameters

  [in] | ms |

Note
  none

Definition at line 98 of file driver_w25qxx_interface_template.c.

## ◆ w25qxx_interface_delay_us()

void w25qxx_interface_delay_us | ( | uint32_t | us | ) |

interface delay us

Parameters

  [in] | us |

Note
  none

Definition at line 108 of file driver_w25qxx_interface_template.c.

## ◆ w25qxx_interface_spi_qspi_deinit()

uint8_t w25qxx_interface_spi_qspi_deinit | ( | void |  | ) |

interface spi qspi bus deinit

Returns
  status code
  - 0 success
  - 1 spi qspi deinit failed

Note
  none

Definition at line 58 of file driver_w25qxx_interface_template.c.

## ◆ w25qxx_interface_spi_qspi_init()

uint8_t w25qxx_interface_spi_qspi_init | ( | void |  | ) |

interface spi qspi bus init

Returns
  status code
  - 0 success
  - 1 spi qspi init failed

Note
  none

Definition at line 46 of file driver_w25qxx_interface_template.c.

## ◆ w25qxx_interface_spi_qspi_write_read()

uint8_t w25qxx_interface_spi_qspi_write_read | ( | uint8_t | instruction,
|  | uint8_t | instruction_line,
|  | uint32_t | address,
|  | uint8_t | address_line,
|  | uint8_t | address_len,
|  | uint32_t | alternate,
|  | uint8_t | alternate_line,
|  | uint8_t | alternate_len,
|  | uint8_t | dummy,
|  | uint8_t * | in_buf,
|  | uint32_t | in_len,
|  | uint8_t * | out_buf,
|  | uint32_t | out_len,
|  | uint8_t | data_line
| ) |  |

interface spi qspi bus write read

Parameters

  [in] | instruction | is the sent instruction
  [in] | instruction_line | is the instruction phy lines
  [in] | address | is the register address
  [in] | address_line | is the address phy lines
  [in] | address_len | is the address length
  [in] | alternate | is the register address
  [in] | alternate_line | is the alternate phy lines
  [in] | alternate_len | is the alternate length
  [in] | dummy | is the dummy cycle
  [in] | *in_buf | points to a input buffer
  [in] | in_len | is the input length
  [out] | *out_buf | points to a output buffer
  [in] | out_len | is the output length
  [in] | data_line | is the data phy lines

Returns
  status code
  - 0 success
  - 1 write read failed

Note
  none

Definition at line 84 of file driver_w25qxx_interface_template.c.